__gnu_cxx::throw_allocator_random< _Tp > Struct Template Reference

`#include <throw_allocator.h>`

Inheritance diagram for __gnu_cxx::throw_allocator_random< _Tp >:
[legend]

## Public Types

typedef const value_type * | const_pointer
typedef const value_type & | const_reference
typedef std::ptrdiff_t | difference_type
typedef value_type * | pointer
typedef std::true_type | propagate_on_container_move_assignment
typedef value_type & | reference
typedef std::size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| throw_allocator_random (const throw_allocator_random &) noexcept
template<typename _Tp1 >
| throw_allocator_random (const throw_allocator_random< _Tp1 > &) noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | address (reference __x) const noexcept
pointer | allocate (size_type __n, const void *__hint=0)
void | check (size_t label)
void | check (size_type __n)
void | check_allocated (pointer __p, size_type __n)
map_alloc_type::iterator | check_allocated (void *p, size_t size)
void | check_constructed (size_t label)
map_construct_type::iterator | check_constructed (void *p)
void | construct (_Up *__p, _Args &&... __args)
void | deallocate (pointer __p, size_type __n)
void | destroy (_Up *__p)
void | erase (void *p, size_t size)
void | erase_construct (void *p)
void | insert (void *p, size_t size)
void | insert_construct (void *p)
size_type | max_size () const noexcept
throw_allocator_random & | operator= (const throw_allocator_random &)=default
void | seed (unsigned long __s)

## Static Public Member Functions

static void | check ()
static size_t | get_label ()
static void | set_label (size_t l)
static void | set_probability (double __p)
static void | throw_conditionally ()

## Detailed Description

template<typename _Tp>
struct __gnu_cxx::throw_allocator_random< _Tp >

Allocator throwing via random condition.

Definition at line 948 of file throw_allocator.h.

## Member Typedef Documentation

## const_pointer

typedef const value_type* __gnu_cxx::throw_allocator_base< _Tp, random_condition >::const_pointer

inherited

Definition at line 817 of file throw_allocator.h.

## const_reference

typedef const value_type& __gnu_cxx::throw_allocator_base< _Tp, random_condition >::const_reference

inherited

Definition at line 819 of file throw_allocator.h.

## difference_type

typedef std::ptrdiff_t __gnu_cxx::throw_allocator_base< _Tp, random_condition >::difference_type

inherited

Definition at line 814 of file throw_allocator.h.

## pointer

typedef value_type* __gnu_cxx::throw_allocator_base< _Tp, random_condition >::pointer

inherited

Definition at line 816 of file throw_allocator.h.

## propagate_on_container_move_assignment

typedef std::true_type __gnu_cxx::throw_allocator_base< _Tp, random_condition >::propagate_on_container_move_assignment

inherited

Definition at line 824 of file throw_allocator.h.

## reference

typedef value_type& __gnu_cxx::throw_allocator_base< _Tp, random_condition >::reference

inherited

Definition at line 818 of file throw_allocator.h.

## size_type

typedef std::size_t __gnu_cxx::throw_allocator_base< _Tp, random_condition >::size_type

inherited

Definition at line 813 of file throw_allocator.h.

## value_type

typedef _Tp __gnu_cxx::throw_allocator_base< _Tp, random_condition >::value_type

inherited

Definition at line 815 of file throw_allocator.h.

## Constructor & Destructor Documentation

## throw_allocator_random() [1/3]

template<typename _Tp >

__gnu_cxx::throw_allocator_random< _Tp >::throw_allocator_random | ( |  | ) |

inline noexcept

Definition at line 955 of file throw_allocator.h.

## throw_allocator_random() [2/3]

template<typename _Tp >

__gnu_cxx::throw_allocator_random< _Tp >::throw_allocator_random | ( | const throw_allocator_random< _Tp > & |  | ) |

inline noexcept

Definition at line 957 of file throw_allocator.h.

## throw_allocator_random() [3/3]

template<typename _Tp >
template<typename _Tp1 >

__gnu_cxx::throw_allocator_random< _Tp >::throw_allocator_random | ( | const throw_allocator_random< _Tp1 > & |  | ) |

inline noexcept

Definition at line 961 of file throw_allocator.h.

## ~throw_allocator_random()

template<typename _Tp >

__gnu_cxx::throw_allocator_random< _Tp >::~throw_allocator_random | ( |  | ) |

inline noexcept

Definition at line 964 of file throw_allocator.h.

## Member Function Documentation

## address() [1/2]

const_pointer __gnu_cxx::throw_allocator_base< _Tp, random_condition >::address | ( | const_reference | __x | ) | const

inline noexcept inherited

Definition at line 846 of file throw_allocator.h.

## address() [2/2]

pointer __gnu_cxx::throw_allocator_base< _Tp, random_condition >::address | ( | reference | __x | ) | const

inline noexcept inherited

Definition at line 842 of file throw_allocator.h.

## allocate()

pointer __gnu_cxx::throw_allocator_base< _Tp, random_condition >::allocate | ( | size_type | __n,
|  | const void * | __hint = `0`
| ) |  |

inline inherited

Definition at line 850 of file throw_allocator.h.

## check() [1/3]

static void __gnu_cxx::annotate_base::check | ( |  | ) |

inline static inherited

Definition at line 237 of file throw_allocator.h.

## check() [2/3]

void __gnu_cxx::annotate_base::check | ( | size_t | label | ) |

inline inherited

Definition at line 200 of file throw_allocator.h.

## check() [3/3]

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::check | ( | size_type | __n | ) |

inline inherited

Definition at line 902 of file throw_allocator.h.

## check_allocated() [1/2]

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::check_allocated | ( | pointer | __p,
|  | size_type | __n
| ) |  |

inline inherited

Definition at line 895 of file throw_allocator.h.

## check_allocated() [2/2]

map_alloc_type::iterator __gnu_cxx::annotate_base::check_allocated | ( | void * | p,
|  | size_t | size
| ) |  |

inline inherited

Definition at line 175 of file throw_allocator.h.

## check_constructed() [1/2]

void __gnu_cxx::annotate_base::check_constructed | ( | size_t | label | ) |

inline inherited

Definition at line 287 of file throw_allocator.h.

## check_constructed() [2/2]

map_construct_type::iterator __gnu_cxx::annotate_base::check_constructed | ( | void * | p | ) |

inline inherited

Definition at line 272 of file throw_allocator.h.

## construct()

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::construct | ( | _Up * | __p,
|  | _Args &&... | __args
| ) |  |

inline inherited

Definition at line 864 of file throw_allocator.h.

## deallocate()

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::deallocate | ( | pointer | __p,
|  | size_type | __n
| ) |  |

inline inherited

Definition at line 888 of file throw_allocator.h.

## destroy()

void __gnu_cxx::throw_allocator_base< _Tp, random_condition >::destroy | ( | _Up * | __p | ) |

inline inherited

Definition at line 872 of file throw_allocator.h.

## erase()

void __gnu_cxx::annotate_base::erase | ( | void * | p,
|  | size_t | size
| ) |  |

inline inherited

Definition at line 145 of file throw_allocator.h.

## erase_construct()

void __gnu_cxx::annotate_base::erase_construct | ( | void * | p | ) |

inline inherited

Definition at line 169 of file throw_allocator.h.

## get_label()

static size_t __gnu_cxx::annotate_base::get_label | ( |  | ) |

inline static inherited

Definition at line 119 of file throw_allocator.h.

## insert()

void __gnu_cxx::annotate_base::insert | ( | void * | p,
|  | size_t | size
| ) |  |

inline inherited

Definition at line 123 of file throw_allocator.h.

## insert_construct()

void __gnu_cxx::annotate_base::insert_construct | ( | void * | p | ) |

inline inherited

Definition at line 150 of file throw_allocator.h.

## max_size()

size_type __gnu_cxx::throw_allocator_base< _Tp, random_condition >::max_size | ( |  | ) | const

inline noexcept inherited

Definition at line 838 of file throw_allocator.h.

## seed()

void __gnu_cxx::random_condition::seed | ( | unsigned long | __s | ) |

inline inherited

Definition at line 557 of file throw_allocator.h.

## set_label()

static void __gnu_cxx::annotate_base::set_label | ( | size_t | l | ) |

inline static inherited

Definition at line 115 of file throw_allocator.h.

## set_probability()

static void __gnu_cxx::random_condition::set_probability | ( | double | __p | ) |

inline static inherited

Definition at line 546 of file throw_allocator.h.

## throw_conditionally()

static void __gnu_cxx::random_condition::throw_conditionally | ( |  | ) |

inline static inherited

Definition at line 550 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h